#! /usr/bin/make -f

CFLAGS += -fno-strict-aliasing
CXXFLAGS += -fno-strict-aliasing

DEB_MAKE_INVOKE += moduledir=/usr/lib/geomview

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-htmlbrowser=sensible-browser --with-pdfviewer=evince

override_dh_auto_build:
	$(MAKE) -C doc geomview.ps
	dh_auto_build

override_dh_install:
	rm -f debian/tmp/usr/share/info/dir
	sed -i "s/^dependency_libs=.*/dependency_libs=''/" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgeomview.la
	dh_install

override_dh_compress:
	dh_compress --exclude=.pdf